import os
import sys
import time
import struct
import logging
sys.path.append("eb")
from eb import *
from xil_multiboot import *

def main():
    log_level = logging.DEBUG
    log_level = logging.INFO
    logging.basicConfig(level=log_level)

    ip = 'rflab2.lbl.gov'
    target = EB(ip)
    target.open()
    baseaddr = 0x20800
    flash_address = 0x10
    flash_length = 0x1f
    file_name = 'foo_bit'
    mb = XilMultiboot(ETHERBONE, target, baseaddr, file_name)

    # read id
    id = mb.flash.read_id()
    logging.info('Flash ID:    0x' + id.encode('hex'))

    #logging.info('Programming file %s'% file_name)
    #mb.write(flash_address)
    #mb.read(0,0xff)

#    mb.flash.serase(flash_address)

    mb.flash.write(flash_address,range(0x15, 0x15 + flash_length))
    status = mb.flash.rsr()
    logging.info('Status:    0x%x', status)

    dat = mb.flash.read(flash_address, flash_length)
    dat_pack = struct.pack('B'*len(dat), *dat)
    print 'Flash: 0x' + dat_pack.encode('hex')

if __name__ == "__main__":
    main()
